Skip to main content
GET
/
artifacts
/
{artifact-id}
/
bookmarks
/
{execution-name}
/
files
/
{file-name}
Bookmarks - Get a single artifact file
curl --request GET \
  --url https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/bookmarks/{execution-name}/files/{file-name}
{
  "createdAt": "2023-11-07T05:31:56Z",
  "format": "<string>",
  "jobId": "<string>",
  "name": "<string>",
  "nodeId": "<string>",
  "nodeVariable": "<string>",
  "sizeBytes": 123,
  "source": "<string>",
  "taskName": "<string>",
  "$schema": "<string>"
}

Path Parameters

artifact-id
string
required

UUID of the artifact

execution-name
string
required

Name of the workflow execution

file-name
string
required

Filename of the artifact file

Response

OK

createdAt
string<date-time>
required

Time of task execution creation, for the task execution which created this artifact file (may be empty if task execution is not started yet)

format
string
required

Used to assist with frontend rendering

jobId
string
required

Unique Domino job id that produced this output (may be empty if execution is not started yet)

name
string
required

Filenames are unique within an artifact version

nodeId
string
required

Node identifier within the Flyte graph (where this output was annotated, not necessarily where originally produced)

nodeVariable
string
required

Output variable name for the node

sizeBytes
integer<int64>
required

Size of the blob in bytes

source
string
required

Blob URI for the file (may be empty if execution is not done yet)

taskName
string
required

Task name for the node that produced the artifact

$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"/flows/api/artifacts/v1/schemas/ArtifactFileInfo.json"